<div style="padding: 20px;">
    <h3>Combining String Interpolation, Property and Event Binding, and Two-Way Binding Together</h3>
    
    <hr>
    
    <!-- Two-Way DataBinding -->
    <mat-form-field class="username-input" appearance="fill">
        <mat-label>User Name</mat-label>
        <input matInput placeholder="Ex. Ahmed Tarek" [(ngModel)]="user" (input)="onUpdateUser()">
    </mat-form-field>

    <br>

    <!-- Property Binding -->
    <button mat-raised-button class="username-input" color="primary" 
        (click)="createUser()" [disabled]="isDisabled"> Create User </button>

    <!-- String Interpolation -->
    <p *ngIf="userCreated">{{statusMssg}}</p>

</div>